apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: adminer-internal-ingress
  namespace: database
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
spec:
  ingressClassName: nginx-internal
  rules:
    - host: adminer.rabin.oictinternal.cz
      http:
        paths:
          - backend:
              service:
                name: adminer
                port:
                  number: 80
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - adminer.rabin.oictinternal.cz
      secretName: adminer.rabin.oictinternal.cz-tls
---
apiVersion: v1
kind: Service
metadata:
  name: adminer
  namespace: database
  labels:
    app.kubernetes.io/name: adminer
spec:
  type: ClusterIP
  ports:
    - port: 80
      targetPort: 80
  selector:
    app.kubernetes.io/name: adminer
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: adminer-configmap
  namespace: database
  labels:
    app.kubernetes.io/name: adminer
data:
  extensionPhp: |
    <?php
      function adminer_object() {
        class AdminerSoftware extends Adminer {
          function schemas() {
            return get_vals("SELECT nspname FROM pg_namespace WHERE nspname NOT LIKE 'pg_%' ORDER BY nspname");
          }
        }
        return new AdminerSoftware;
    }
    include './index.php';

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: adminer
  namespace: database
  labels:
    app.kubernetes.io/name: adminer
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: adminer
  template:
    metadata:
      labels:
        app.kubernetes.io/name: adminer
    spec:
      containers:
        - name: adminer
          image: dockette/adminer:pgsql
          ports:
            - containerPort: 80
          resources:
            limits:
              cpu: 15m
              memory: 50Mi
            requests:
              cpu: 10m
              memory: 20Mi
          volumeMounts:
            - name: adminer-configmap
              mountPath: /srv/extension.php
              subPath: extension.php
              readOnly: true
      volumes:
        - name: adminer-configmap
          configMap:
            name: adminer-configmap
            items:
                - key: extensionPhp
                  path: extension.php
